Log in or register to post comments

Updated Unity.. Now Vuforia Doesn't Build

March 25, 2019 - 12:00pm #5

Hi all,

 

I was running 2018.3.8 last week and updated to Vuforia 8.7 without any issues.  However I updated to Unity 2018.3.9 this morning and for some reason my Vuforia will no longer build the app.  This is the error I'm getting in the compiler.  It was running normally until I decided to build and run.  Now everything seems to be broken.

 

Assets\Vuforia\Scripts\Internal\RuntimeOpenSourceInitializer.cs(42,37): error CS0246: The type or namespace name 'IUnityRenderPipeline' could not be found (are you missing a using directive or an assembly reference?)

 

I can't run my application anymore now that this error is present.  It takes me to a script in the Vuforia Scripts folder and when I select that script it says there's "No MonoBehaviour" Scripts in the file (in the inspector)...  It's referencing Error Code: CS0246 if that helps.

 

So I'm confused because it was working normally until I tried to build the app.  Now it's not letting me run anything from the editor because it's saying there's a compiler issue with the Vuforia script.

 

Anyone have any advice?  Thanks in Advance.

 

T.

AttachmentSize
Image icon Vuforia.PNG1.37 MB

Updated Unity.. Now Vuforia Doesn't Build

March 26, 2019 - 7:36am #4

Make sure you have the newest version of the extension, which is 8.1.7 (your screenshot says 7.1.x). If you upgraded Vuforia via the installer popup, you'll have to apply the installer to the new version of Unity too, otherwise the included version will not be the same.

Updated Unity.. Now Vuforia Doesn't Build

March 26, 2019 - 3:54pm #3

I received the update notification when I loaded Unity last week..  Would the new Unity not recognize that?

Updated Unity.. Now Vuforia Doesn't Build

March 27, 2019 - 1:41am #2

The popup you received was to upgrade the Vuforia resources folder. The issue you have now is that the version of Vuforia extension is lower than the Vuforia resources that you have in your project. By upgrading to 2018.3.9 in this instance you effectively downgraded your Vuforia extension version again. Check your Vuforia Configuration, there should be a link to download an installer for 8.1.7.

 

Updated Unity.. Now Vuforia Doesn't Build

May 22, 2019 - 3:25am #1

Rkitekt01 do you have resolved your issue?

I'm your same situation...

 

Thanks in advance

Diego

Log in or register to post comments